import request from '@/utils/request'
export function fetchList(data) {
  return request({
    url:'/origin/list',
    method:'post',
    data:data
  })
}
export function createOrigin(data) {
  return request({
    url:'/origin/save',
    method:'post',
    data:data
  })
}


export function deleteOrigin(id) {
  return request({
    url:'/origin/delete?'+id,
    method:'get',
  })
}

export function getOrigin(id) {
  return request({
    url:'/origin/findById?id='+id,
    method:'get',
  })
}

export function updateOrigin(id,data) {
  return request({
    url:'/origin/update',
    method:'post',
    data:data
  })
}

//生产地产出物管理
export function originProductList(data) {
  return request({
    url:'/originProduct/list',
    method:'post',
    data:data
  })
}
export function createOriginProduct(data) {
  return request({
    url:'/originProduct/save',
    method:'post',
    data:data
  })
}


export function deleteOriginProduct(id) {
  return request({
    url:'/originProduct/delete?id='+id,
    method:'get',
  })
}

export function updateOriginProduct(id,data) {
  return request({
    url:'/originProduct/update',
    method:'post',
    data:data
  })
}
